#
# spec file for package perl-Digest-HMAC (Version 1.01)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl perl-Digest-SHA1 permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           perl-Digest-HMAC
BuildRequires:  perl-Digest-SHA1
Version:        1.01
Release:        507.2
Requires:       perl-Digest-SHA1
Requires:       perl = %{perl_version}
Autoreqprov:    on
Group:          Development/Libraries/Perl
License:        Artistic License
URL:            http://cpan.org/modules/by-module/Digest/
Summary:        Keyed Hashing for Message Authentication
Source:         Digest-HMAC-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
HMAC is used for message integrity checks between two parties that
share a secret key. HMAC works in combination with another Digest
algorithm, usually MD5 or SHA-1. The HMAC mechanism is described in RFC
2104.



Authors:
--------
    Graham Barr <gbarr@ti.com>
    Gisle Aas <gisle@aas.no>

%debug_package
%prep
%setup -n Digest-HMAC-%{version}

%build
perl Makefile.PL
make
make test

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install_vendor
%perl_process_packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README rfc2104.txt Changes
%doc %{_mandir}/man?/*
%{perl_vendorlib}/Digest
%{perl_vendorarch}/auto/Digest
/var/adm/perl-modules/%{name}

%changelog -n perl-Digest-HMAC
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Sun Jan 11 2004 - adrian@suse.de
- build as user
* Fri Aug 22 2003 - mjancar@suse.cz
- require the perl version we build with
* Tue Jul 15 2003 - mjancar@suse.cz
- adapt to perl-5.8.1
- use %%perl_process_packlist
* Mon Jun 16 2003 - mjancar@suse.cz
- fix filelist
* Thu Jun 05 2003 - mjancar@suse.cz
- repacked the source
- don't package MANIFEST
* Tue May 20 2003 - mjancar@suse.cz
- remove unpackaged files
* Mon Jul 29 2002 - mls@suse.de
- Fixed neededforbuild for perl-5.8.0
* Tue Jul 02 2002 - mls@suse.de
- remove race in .packlist generation
* Tue Aug 14 2001 - rvasice@suse.cz
- initial package release (version 1.01)
